## groff 1.22.2

=== Makefile ===
# Copyright (C) 1989-2000, 2009 Free Software Foundation, Inc.
#      Written by James Clark (jjc@jclark.com)
# 
# This file is part of groff.
# 
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# groff is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Makefile.init
#
SHELL=/bin/sh

.PHONY: all
all:
	$(SHELL) configure
	$(MAKE) all

=== debian/changelog ===
groff (1.22.2-8) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:50:22 +0100

groff (1.22.2-7) unstable; urgency=medium

  * Simplify debian/rules slightly to avoid hardcoding the list of targets
    that dh(1) understands.
  * Update Vcs-Browser URL for alioth cgit.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 03:51:26 +0100

groff (1.22.2-6) unstable; urgency=medium

  * Note that groff_mmse(7) is only available in Swedish locales (closes:
    #710431).
  * Describe \- as a minus sign rather than a dash in /etc/groff/man.local
    and /etc/groff/mdoc.local (thanks, Bjarni Ingi Gislason; closes:
    #742086).
  * Adjust debian/source/lintian-overrides to match Lintian's current output
    correctly.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jun 2014 03:09:27 +0100

groff (1.22.2-5) unstable; urgency=medium

  * Remove the W3C validation icons from generated HTML, to avoid tracking.
  * Policy version 3.9.5: no changes required.
  * Remove "debian/rules quilt-setup" target, obsoleted by git-dpm.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jan 2014 09:55:32 +0000

groff (1.22.2-4) unstable; urgency=low

  * Move debian/source.lintian-overrides to preferred location of
    debian/source/lintian-overrides.
  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Fix bad Texinfo markup for \z escape.
  * Fix grolbp crash if a printer was never created (thanks, Mayhem team at
    CMU; closes: #716003).
  * Force gzip compression for groff-base.deb, to avoid causing problems for
    debootstrap on non-Debian-based systems following dpkg 1.17.0.
  * Switch to git; adjust Vcs-* fields.
  * Add support for various new BSD versions (thanks, Guillem Jover; closes:
    #717608).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Jan 2014 02:22:41 +0000

groff (1.22.2-3) unstable; urgency=low

  [ Colin Watson ]
  * Override license-problem-gfdl-invariants Lintian errors; these files are
    dual-licensed (closes: #708944).

  [ Daniel Schepler ]
  * Stop dh_install failing in DEB_BUILD_OPTIONS=no-groff-x11 bootstrap
    builds (closes: #709816).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 23:09:35 +0100

groff (1.22.2-2) unstable; urgency=low

  * Update /etc/groff/man.local and /etc/groff/mdoc.local with new
    commented-out code to force "-" back to Unicode HYPHEN, since upstream
    groff has mapped this to HYPHEN-MINUS since 1.20, and remove the
    Debian-local mapping of "\-" for the same reason.  Remove mention of
    this from README.Debian since the upstream change of default means that
    this is only of minority interest (closes: #703690).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Apr 2013 22:14:00 +0100

groff (1.22.2-1) unstable; urgency=low

  * New upstream release.
  * Note in the groff package description that the chem preprocessor
    requires perl.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Mar 2013 08:36:01 +0000

=== debian/control ===
Source: groff
Section: text
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.16.1.1~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
Homepage: https://www.gnu.org/software/groff/
Vcs-Git: git://anonscm.debian.org/users/cjwatson/groff.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/groff.git/

Package: groff-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: groff
Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
Multi-Arch: foreign
Description: GNU troff text-formatting system (base system components)
 This package contains the traditional UN*X text formatting tools
 troff, nroff, tbl, eqn, and pic. These utilities, together with the
 man-db package, are essential for displaying the on-line manual pages. 
 .
 groff-base is a stripped-down package containing the necessary components
 to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript
 device (groff's default). Users who want a full groff installation, with
 the standard set of devices, fonts, macros, and documentation, should
 install the groff package.

Package: groff
Priority: optional
Architecture: any
Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript, imagemagick, libpaper1, netpbm, perl, psutils
Provides: jgroff, groff-x11
Breaks: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
Multi-Arch: foreign
Description: GNU troff text-formatting system
 This package contains optional components of the GNU troff text-formatting
 system. The core package, groff-base, contains the traditional tools like
 troff, nroff, tbl, eqn, and pic. This package contains additional devices
 and drivers for output to DVI, HTML (when recommended packages are
 installed - see below), PDF, HP LaserJet printers, and Canon CAPSL LBP-4
 and LBP-8 printers.
 .
 The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
 conveniently viewed on an X display using the standard X11 fonts, are now
 included here. They were previously in a separate package, groff-x11.
 .
 Besides these, the groff package contains man pages describing the language
 and its macro sets, info documentation, and a number of supplementary
 programs:
 .
  - gxditview, which is used to display the output of the X* devices, and
    can also be used to view PostScript output from groff;
  - grn, a preprocessor for pictures in the 'gremlin' format;
  - tfmtodit, which creates font files for use with 'groff -Tdvi';
  - hpftodit, which creates font files for use with 'groff -Tlj4';
  - afmtodit, which creates font files for use with 'groff -Tps';
  - refer, which preprocesses bibliographic references for use with groff;
  - indxbib, which creates inverted indices for bibliographic databases used
    by 'refer';
  - lkbib and lookbib, which search bibliographic databases;
  - addftinfo, which adds metric information to troff font files for use
    with groff;
  - pfbtops, which translates a PostScript font in .pfb format to ASCII for
    use with groff;
  - mmroff, a simple groff preprocessor which expands references in mm;
  - pic2graph, which converts PIC diagrams into cropped image files;
  - eqn2graph, which converts EQN equations into cropped image files;
  - pdfmom, which runs 'groff -mom' to produce PDFs.
 .
 All the standard macro packages are supported.
 .
 Some facilities only work if certain recommended packages are installed:
 .
  - ghostscript, netpbm, psutils: required for HTML output;
  - imagemagick: required for the pic2graph and eqn2graph programs;
  - libpaper1: paper size detection in dvi, lbp, lj4, and ps devices (falls
    back to a4 if not installed);
  - perl: required for PDF output and for the chem preprocessor.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=debian/build --with=autoreconf --parallel

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -Wall
export DEB_CXXFLAGS_MAINT_APPEND := -Wall

include /usr/share/dpkg/buildflags.mk

buildflags := CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
	      CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

# From Makefile.in
version  = $(shell cat VERSION)
revision = $(shell sed -e 's/^0$$//' -e 's/^[1-9].*$$/.&/' REVISION)
upstream = $(version)$(revision)
datadir  = usr/share/groff/$(upstream)

gbtmp = debian/groff-base
gtmp  = debian/groff

ifeq (,$(filter no-groff-x11,$(DEB_BUILD_OPTIONS)))
GROFF_X11 := yes
else
GROFF_X11 := no
endif

ifeq ($(GROFF_X11),no)
  confflags += --without-x
endif

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

confflags_gnulib = --build=$(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  confflags_gnulib += --host=$(DEB_HOST_GNU_TYPE)
endif

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -I m4

override_dh_auto_configure:
	-rm -f config.log config.cache
	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
		dh_auto_configure -- $(confflags) \
			--with-appresdir=/etc/X11/app-defaults
	mkdir -p debian/build/src/libs/gnulib
	cd debian/build/src/libs/gnulib && \
		$(buildflags) \
		$(CURDIR)/src/libs/gnulib/configure $(confflags_gnulib)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
		env -u CONFIG_SITE \
		dh_auto_configure --builddirectory=debian/build-native -- \
			$(confflags) \
			--with-appresdir=/etc/X11/app-defaults
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  cross :=
else
  native_tmp := $(CURDIR)/debian/build-native
  groff_bin_dirs := \
	$(native_tmp)/src/roff/groff \
	$(native_tmp)/src/roff/troff \
	$(native_tmp)/src/preproc/pic \
	$(native_tmp)/src/preproc/eqn \
	$(native_tmp)/src/preproc/tbl \
	$(native_tmp)/src/preproc/grn \
	$(native_tmp)/src/preproc/refer \
	$(native_tmp)/src/preproc/soelim \
	$(native_tmp)/src/preproc/html \
	$(native_tmp)/src/devices/grops \
	$(native_tmp)/src/devices/grodvi \
	$(native_tmp)/src/devices/grotty \
	$(native_tmp)/src/devices/grolj4 \
	$(native_tmp)/src/devices/grolbp \
	$(native_tmp)/src/devices/grohtml
  empty :=
  space := $(empty) $(empty)
  cross := \
	TROFFBIN=$(native_tmp)/src/roff/troff/troff \
	GROFFBIN=$(native_tmp)/src/roff/groff/groff \
	GROFF_BIN_DIR=$(native_tmp)/src/roff/groff \
	GROFF_BIN_PATH=$(subst $(space),:,$(groff_bin_dirs))
endif

override_dh_auto_build:
	touch configure		# avoid autoconf build-dependency
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) -C debian/build-native \
		extratmacdirs=/usr/share/groff/tmac \
		docdir=\$${prefix}/share/doc/groff-base
endif
	$(MAKE) -C debian/build \
		extratmacdirs=/usr/share/groff/tmac \
		docdir=\$${prefix}/share/doc/groff-base $(cross)
	GROFF_NO_SGR=1 $(MAKE) -C debian/build/doc $(cross) \
		meintro.txt meref.txt pic.txt

override_dh_auto_install:
	dh_auto_install -- \
		docdir=\$${prefix}/share/doc/groff-base \
		INSTALL_INFO=:

debian/%: debian/%.in
ifeq ($(GROFF_X11),yes)
	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@//g' $< > $@
else
	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@/#/g' $< > $@
endif

override_dh_install:
	$(MAKE) -f debian/rules \
		debian/groff-base.dirs \
		debian/groff-base.install \
		debian/groff.install
	dh_install --fail-missing
	# Debian additions to *.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/mdoc.local
	# Scripts should be executable
	chmod +x $(gbtmp)/$(datadir)/font/devps/generate/afmname \
		 $(gbtmp)/$(datadir)/font/devps/generate/symbol.sed
	chmod +x $(gtmp)/$(datadir)/font/devdvi/generate/CompileFonts \
		 $(gtmp)/$(datadir)/font/devlj4/generate/special.awk

override_dh_installdocs:
	dh_installdocs -pgroff-base
	dh_installdocs -pgroff -Xcopyright --link-doc=groff-base

override_dh_installchangelogs:
	dh_installchangelogs -pgroff-base

override_dh_compress:
	dh_compress -X.mom

override_dh_builddeb:
	dh_builddeb -pgroff-base -- -Zgzip
	dh_builddeb -Ngroff-base -- -Zxz
ifneq ($(GROFF_X11),yes)
	@echo
	@echo "=========================================================="
	@echo "WARNING! groff has been built without X support."
	@echo "Please do not upload these packages to the Debian archive!"
	@echo "=========================================================="
	@echo
endif

## groff 1.22.3

=== debian/changelog ===
groff (1.22.3-10) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Remove "touch configure" from dh_auto_build override, which predated the
    use of dh-autoreconf.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:09:07 +0000

groff (1.22.3-9) unstable; urgency=medium

  * debian/watch: Switch URL scheme to HTTP.
  * Policy version 3.9.8: no changes required.
  * Backport from upstream:
    - tmac/zh.tmac: New file to support basic Chinese, both simplified and
      traditional (closes: #848030).
  * Install zh.tmac in groff-base.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2016 13:06:22 +0000

groff (1.22.3-8) unstable; urgency=medium

  * Map "\-" to a plain hyphen when rendering HTML/XHTML output for manual
    pages (closes: #829332).

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jul 2016 21:04:05 +0100

groff (1.22.3-7) unstable; urgency=medium

  * Set build flags appropriately for the build architecture during the
    native build pass (based loosely on a patch from Balint Reczey, for
    which thanks; closes: #812872).
  * Remove debian/build-native/ on clean.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jan 2016 14:57:16 +0000

groff (1.22.3-6) unstable; urgency=medium

  * Override dh-exec-subst-unknown-variable Lintian tags, which are false
    positives.
  * Use HTTPS for Vcs-* URLs.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 11:49:56 +0000

groff (1.22.3-5) unstable; urgency=medium

  * Drop obsolete build-dependency on xutils-dev.
  * Remove no-groff-x11 bootstrapping hack.  If anything like this is still
    needed, it should be reimplemented using build profiles, but since groff
    can be installed from a foreign architecture using multiarch I believe
    that this is now unnecessary.
  * Upgrade to debhelper v9, using dh-exec.
  * Build with large file support.
  * Remove long-obsolete maintainer script file migration code from 2001.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 18:09:43 +0000

groff (1.22.3-4) unstable; urgency=medium

  * Fix incorrect display-UTC-time patch to gropdf (closes: #805374).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Nov 2015 13:45:10 +0000

groff (1.22.3-3) unstable; urgency=medium

  * Add SOURCE_DATE_EPOCH support to mdate.sh, and restore upstream code
    there to force the C locale.
  * Use gmtime in mdate.sh.
  * Remove unnecessary randomness from hdtbl example output.
  * Always use UTC times for display.
  * Sort Perl hash keys.
  * Build with LC_ALL=C.UTF-8.  To some extent this is a cop-out as other
    packages using groff may still need to do similarly; I believe the
    remaining important place where groff is character-set-sensitive in a
    way that affects reproducibility of output is in the HTML postprocessor,
    which sometimes inserts spaces in UTF-8 locales but not (for example) in
    ASCII locales.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Nov 2015 13:14:24 +0000

groff (1.22.3-2) unstable; urgency=medium

  * Explicitly compile with -std=gnu++98, to avoid potential future problems
    with GCC 6 defaulting to a newer standard.
  * Implement SOURCE_DATE_EPOCH for reproducible builds (closes: #762854).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 11:51:53 +0000

groff (1.22.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/groff-base.mime: Handle text/troff as well as
    application/x-troff-man.
  * Policy version 3.9.6: no changes required.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Nov 2014 22:07:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.16.1.1~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
+Standards-Version: 3.9.8
+Build-Depends: bison (>= 1:1.875b), debhelper (>= 9), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
 Homepage: https://www.gnu.org/software/groff/
-Vcs-Git: git://anonscm.debian.org/users/cjwatson/groff.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/groff.git/
+Vcs-Git: https://salsa.debian.org/debian/groff
+Vcs-Browser: https://salsa.debian.org/debian/groff
+Rules-Requires-Root: no
 
 Package: groff-base
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,33 +4,36 @@
 
 export DH_OPTIONS
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LC_ALL := C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
 export DEB_CFLAGS_MAINT_APPEND := -Wall
-export DEB_CXXFLAGS_MAINT_APPEND := -Wall
+export DEB_CXXFLAGS_MAINT_APPEND := -Wall -std=gnu++98
 
-include /usr/share/dpkg/buildflags.mk
+# Based loosely on /usr/share/dpkg/buildflags.mk, but we need to do this
+# ourselves in order to get flags for both build and host architectures.
+# Compare https://bugs.debian.org/644412.
 
-buildflags := CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
-	      CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+export_envvar := \
+	DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" \
+	DEB_CPPFLAGS_MAINT_APPEND="$(DEB_CPPFLAGS_MAINT_APPEND)" \
+	DEB_CFLAGS_MAINT_APPEND="$(DEB_CFLAGS_MAINT_APPEND)" \
+	DEB_CXXFLAGS_MAINT_APPEND="$(DEB_CXXFLAGS_MAINT_APPEND)"
+
+buildflags := $(shell $(export_envvar) dpkg-buildflags --export=cmdline)
+buildflags_native := $(shell \
+	DEB_HOST_ARCH="$(DEB_BUILD_ARCH)" $(export_envvar) \
+	dpkg-buildflags --export=cmdline)
 
 # From Makefile.in
 version  = $(shell cat VERSION)
 revision = $(shell sed -e 's/^0$$//' -e 's/^[1-9].*$$/.&/' REVISION)
-upstream = $(version)$(revision)
-datadir  = usr/share/groff/$(upstream)
+export UPSTREAM_VERSION = $(version)$(revision)
+datadir  = usr/share/groff/$(UPSTREAM_VERSION)
 
 gbtmp = debian/groff-base
 gtmp  = debian/groff
-
-ifeq (,$(filter no-groff-x11,$(DEB_BUILD_OPTIONS)))
-GROFF_X11 := yes
-else
-GROFF_X11 := no
-endif
-
-ifeq ($(GROFF_X11),no)
-  confflags += --without-x
-endif
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -46,18 +49,19 @@
 override_dh_auto_configure:
 	-rm -f config.log config.cache
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
-		dh_auto_configure -- $(confflags) \
+		dh_auto_configure -- \
+			--libdir=\$${prefix}/lib \
 			--with-appresdir=/etc/X11/app-defaults
 	mkdir -p debian/build/src/libs/gnulib
 	cd debian/build/src/libs/gnulib && \
 		$(buildflags) \
 		$(CURDIR)/src/libs/gnulib/configure $(confflags_gnulib)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
+	$(buildflags_native) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
 		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
 		env -u CONFIG_SITE \
 		dh_auto_configure --builddirectory=debian/build-native -- \
-			$(confflags) \
+			--libdir=\$${prefix}/lib \
 			--with-appresdir=/etc/X11/app-defaults
 endif
 
@@ -91,7 +95,6 @@
 endif
 
 override_dh_auto_build:
-	touch configure		# avoid autoconf build-dependency
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(MAKE) -C debian/build-native \
 		extratmacdirs=/usr/share/groff/tmac \
@@ -108,18 +111,7 @@
 		docdir=\$${prefix}/share/doc/groff-base \
 		INSTALL_INFO=:
 
-debian/%: debian/%.in
-ifeq ($(GROFF_X11),yes)
-	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@//g' $< > $@
-else
-	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@/#/g' $< > $@
-endif
-
 override_dh_install:
-	$(MAKE) -f debian/rules \
-		debian/groff-base.dirs \
-		debian/groff-base.install \
-		debian/groff.install
 	dh_install --fail-missing
 	# Debian additions to *.local
 	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
@@ -140,14 +132,17 @@
 override_dh_compress:
 	dh_compress -X.mom
 
+override_dh_fixperms:
+	dh_fixperms
+	# Fix a few incorrect permissions set by upstream Makefiles.
+	chmod +x $(gtmp)/$(datadir)/font/devpdf/util/BuildFoundries
+	chmod -x \
+		$(gtmp)/usr/lib/groff/glilypond/args.pl \
+		$(gtmp)/usr/lib/groff/glilypond/oop_fh.pl \
+		$(gtmp)/usr/lib/groff/glilypond/subs.pl \
+		$(gtmp)/usr/lib/groff/groff_opts_no_arg.txt \
+		$(gtmp)/usr/lib/groff/groff_opts_with_arg.txt
+
 override_dh_builddeb:
 	dh_builddeb -pgroff-base -- -Zgzip
 	dh_builddeb -Ngroff-base -- -Zxz
-ifneq ($(GROFF_X11),yes)
-	@echo
-	@echo "=========================================================="
-	@echo "WARNING! groff has been built without X support."
-	@echo "Please do not upload these packages to the Debian archive!"
-	@echo "=========================================================="
-	@echo
-endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/groff/groff-([^-]*)\.tar\.gz

## groff 1.22.4

=== font/devdvi/generate/Makefile ===
# Makefile for 'font devdvi/generate'
#
# File position: <groff-source>/font/devdvi/generate/Makefile
#
# Copyright (C) 1989-2018 Free Software Foundation, Inc.
#      Written by James Clark (jjc@jclark.com)
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This is set up so you can do:
#   make -f generate/Makefile
# in the parent directory of the directory containing this file.

# Note manually-added kerning values for `` and '' in the font files:
#   B, BI, I, R.

srcdir=generate
tfmdir=/usr/local/lib/groff-tfm
gfdir=/usr/local/lib/groff-gf

TFMTODIT=tfmtodit
FONTS=TR TI TB TBI CW CWI HR HI HB HBI \
      TREC TIEC TBEC TBIEC CWEC CWIEC HREC HIEC HBEC HBIEC \
      TRTC TITC TBTC TBITC CWTC CWITC HRTC HITC HBTC HBITC \
      MI S SC EX SA SB
SPECIALFLAG=-s

RM=rm -f

all: $(FONTS)

#### CM fonts ####

# TR is special because it contains \(pl \(eq

TR: $(srcdir)/texr.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/cmr10.300gf \
	  $(tfmdir)/cmr10.tfm $(srcdir)/texr.map $@

# TI is special because it contains \(Po

TI: $(srcdir)/texi.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/cmti10.300gf \
	  $(tfmdir)/cmti10.tfm $(srcdir)/texi.map $@

TB: $(srcdir)/texb.map
	$(TFMTODIT) -g $(gfdir)/cmbx10.300gf \
	  $(tfmdir)/cmbx10.tfm $(srcdir)/texb.map $@

TBI: $(srcdir)/texi.map
	$(TFMTODIT) -g $(gfdir)/cmbxti10.300gf \
	  $(tfmdir)/cmbxti10.tfm $(srcdir)/texi.map $@

# CW is special because it contains "

CW: $(srcdir)/textt.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/cmtt10.tfm $(srcdir)/textt.map $@

CWI: $(srcdir)/texitt.map
	$(TFMTODIT) \
	  $(tfmdir)/cmitt10.tfm $(srcdir)/texitt.map $@

MI: $(srcdir)/texmi.map
	$(TFMTODIT) $(SPECIALFLAG) -k 0177 \
	  $(tfmdir)/cmmi10.tfm $(srcdir)/texmi.map $@

S: $(srcdir)/texsy.map
	$(TFMTODIT) $(SPECIALFLAG) -k 060 \
	  $(tfmdir)/cmsy10.tfm $(srcdir)/texsy.map $@

SC: $(srcdir)/textex.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/cmtex10.tfm $(srcdir)/textex.map $@

EX: $(srcdir)/texex.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/cmex10.tfm $(srcdir)/texex.map $@

HR: $(srcdir)/texb.map
	$(TFMTODIT) -g $(gfdir)/cmss10.300gf \
	  $(tfmdir)/cmss10.tfm $(srcdir)/texb.map $@

HB: $(srcdir)/texb.map
	$(TFMTODIT) -g $(gfdir)/cmssbx10.300gf \
	  $(tfmdir)/cmssbx10.tfm $(srcdir)/texb.map $@

HI: $(srcdir)/texb.map
	$(TFMTODIT) -g $(gfdir)/cmssi10.300gf \
	  $(tfmdir)/cmssi10.tfm $(srcdir)/texb.map $@

HBI: $(srcdir)/texb.map
	$(TFMTODIT) -g $(gfdir)/cmssbxo10.300gf \
	  $(tfmdir)/cmssbxo10.tfm $(srcdir)/texb.map $@

SA: $(srcdir)/msam.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/msam10.tfm $(srcdir)/msam.map $@

SB: $(srcdir)/msbm.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/msbm10.tfm $(srcdir)/msbm.map $@

#### EC fonts ####

TREC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecrm1000.300gf \
	  $(tfmdir)/ecrm1000.tfm $(srcdir)/ec.map $@

TIEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecti1000.300gf \
	  $(tfmdir)/ecti1000.tfm $(srcdir)/ec.map $@

TBEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecbx1000.300gf \
	  $(tfmdir)/ecbx1000.tfm $(srcdir)/ec.map $@

TBIEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecbi1000.300gf \
	  $(tfmdir)/ecbi1000.tfm $(srcdir)/ec.map $@

CWEC: $(srcdir)/ec.map
	$(TFMTODIT) $(tfmdir)/ectt1000.tfm $(srcdir)/ec.map $@

CWIEC: $(srcdir)/ec.map
	$(TFMTODIT) $(tfmdir)/ecit1000.tfm $(srcdir)/ec.map $@

HREC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecss1000.300gf \
	  $(tfmdir)/ecss1000.tfm $(srcdir)/ec.map $@

HBEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecsx1000.300gf \
	  $(tfmdir)/ecsx1000.tfm $(srcdir)/ec.map $@

HIEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecsi1000.300gf \
	  $(tfmdir)/ecsi1000.tfm $(srcdir)/ec.map $@

HBIEC: $(srcdir)/ec.map
	$(TFMTODIT) -g $(gfdir)/ecso1000.300gf \
	  $(tfmdir)/ecso1000.tfm $(srcdir)/ec.map $@

#### TC fonts ####

TRTC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcrm1000.300gf \
	  $(tfmdir)/tcrm1000.tfm $(srcdir)/tc.map $@

TITC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcti1000.300gf \
	  $(tfmdir)/tcti1000.tfm $(srcdir)/tc.map $@

TBTC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcbx1000.300gf \
	  $(tfmdir)/tcbx1000.tfm $(srcdir)/tc.map $@

TBITC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcbi1000.300gf \
	  $(tfmdir)/tcbi1000.tfm $(srcdir)/tc.map $@

CWTC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/tctt1000.tfm $(srcdir)/tc.map $@

CWITC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) \
	  $(tfmdir)/tcit1000.tfm $(srcdir)/tc.map $@

HRTC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcss1000.300gf \
	  $(tfmdir)/tcss1000.tfm $(srcdir)/tc.map $@

HBTC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcsx1000.300gf \
	  $(tfmdir)/tcsx1000.tfm $(srcdir)/tc.map $@

HITC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcsi1000.300gf \
	  $(tfmdir)/tcsi1000.tfm $(srcdir)/tc.map $@

HBITC: $(srcdir)/tc.map
	$(TFMTODIT) $(SPECIALFLAG) -g $(gfdir)/tcso1000.300gf \
	  $(tfmdir)/tcso1000.tfm $(srcdir)/tc.map $@

clean:

realclean:
	$(RM) $(FONTS)

extraclean: realclean
	$(RM) core *~ "#*"

.PHONY: clean realclean extraclean all

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:

=== font/devlj4/generate/Makefile ===
# Makefile for 'font devlj4 generate'
#
# File position: <groff-source>/font/devlj4/generate/Makefile
#
# Copyright (C) 1994-2018 Free Software Foundation, Inc.
#   Written by James Clark (jjc@jclark.com)
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Directory containing Autofont TFM files.
# The TFM files used are available for ftp as
#
#   ftp://ftp.hp.com/pub/faxes/software/tfmlj4p.exe
#
# This is a self-extracting MS-DOS archive (in ZIP format).
#
# Metric files for the Arial and Times New Roman families and the Symbol
# font have been replaced with versions which have more glyphs and/or
# kerning pairs:
#
#   ftp://ftp.ffii.org/pub/groff/contrib/lj4/tfmlj4x.zip

# This is set up so you can do
#   make -f generate/Makefile
# in the parent directory of this directory.

AUTOFONT=/usr/local/lib/groff-lj4
HPFTODIT=hpftodit
# .05 em
IFLAG=-i 50
SFLAG=-s
srcdir=generate
TEXTMAP=$(srcdir)/text.map
SPECIALMAP=$(srcdir)/special.map
SYMBOLMAP=$(srcdir)/symbol.map
WINGDINGSMAP=$(srcdir)/wingdings.map

FONTS=\
  AB ABI AI AR \
  ALBB ALBR \
  AOB AOI AOR \
  CB CBI CI CR \
  GB GBI GI GR \
  LGB LGI LGR \
  OB OBI OI OR \
  TB TBI TI TR \
  TNRB TNRBI TNRI TNRR \
  UB UBI UI UR \
  UCB UCBI UCI UCR \
  CLARENDON CORONET MARIGOLD S \
  SYMBOL WINGDINGS

RM=rm -f

all: $(FONTS)

#
# Intellifont
#

# CG Times
TR: $(AUTOFONT)/9nb00086.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00086.tfm $(TEXTMAP) $@

# CG Times Italic
TI: $(AUTOFONT)/9nb00084.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00084.tfm $(TEXTMAP) $@

# CG Times Bold
TB: $(AUTOFONT)/9nb00083.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00083.tfm $(TEXTMAP) $@

# CG Times Bold Italic
TBI: $(AUTOFONT)/9nb00085.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00085.tfm $(TEXTMAP) $@

# Courier
CR: $(AUTOFONT)/9nb00064.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00064.tfm $(TEXTMAP) $@

# Courier Italic
CI: $(AUTOFONT)/9nb00062.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00062.tfm $(TEXTMAP) $@

# Courier Bold
CB: $(AUTOFONT)/9nb00061.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00061.tfm $(TEXTMAP) $@

# Courier Bold Italic
CBI: $(AUTOFONT)/9nb00063.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00063.tfm $(TEXTMAP) $@

# Garamond Antiqua
GR: $(AUTOFONT)/9nb00068.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00068.tfm $(TEXTMAP) $@

# Garamond Kursiv
GI: $(AUTOFONT)/9nb00066.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00066.tfm $(TEXTMAP) $@

# Garamond Halbfett
GB: $(AUTOFONT)/9nb00065.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00065.tfm $(TEXTMAP) $@

# Garamond Kursiv Halbfett
GBI: $(AUTOFONT)/9nb00067.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00067.tfm $(TEXTMAP) $@

# Omega
OR: $(AUTOFONT)/9nb00076.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00076.tfm $(TEXTMAP) $@

# Omega Italic
OI: $(AUTOFONT)/9nb00074.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00074.tfm $(TEXTMAP) $@

# Omega Bold
OB: $(AUTOFONT)/9nb00073.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00073.tfm $(TEXTMAP) $@

# Omega Bold Italic
OBI: $(AUTOFONT)/9nb00075.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00075.tfm $(TEXTMAP) $@

# Univers
UR: $(AUTOFONT)/9nb00094.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00094.tfm $(TEXTMAP) $@

# Univers Italic
UI: $(AUTOFONT)/9nb00092.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00092.tfm $(TEXTMAP) $@

# Univers Bold
UB: $(AUTOFONT)/9nb00088.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00088.tfm $(TEXTMAP) $@

# Univers Bold Italic
UBI: $(AUTOFONT)/9nb00093.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00093.tfm $(TEXTMAP) $@

# Univers Condensed
UCR: $(AUTOFONT)/9nb00089.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00089.tfm $(TEXTMAP) $@

# Univers Condensed Italic
UCI: $(AUTOFONT)/9nb00087.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00087.tfm $(TEXTMAP) $@

# Univers Condensed Bold
UCB: $(AUTOFONT)/9nb00090.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00090.tfm $(TEXTMAP) $@

# Univers Condensed Bold Italic
UCBI: $(AUTOFONT)/9nb00091.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00091.tfm $(TEXTMAP) $@

# Albertus
ALBR: $(AUTOFONT)/9nb00052.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00052.tfm $(TEXTMAP) $@

# Albertus Extrabold
ALBB: $(AUTOFONT)/9nb00051.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00051.tfm $(TEXTMAP) $@

# Letter Gothic
LGR: $(AUTOFONT)/9nb00071.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00071.tfm $(TEXTMAP) $@

# Letter Gothic Italic
LGI: $(AUTOFONT)/9nb00070.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00070.tfm $(TEXTMAP) $@

# Letter Gothic Bold
LGB: $(AUTOFONT)/9nb00069.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00069.tfm $(TEXTMAP) $@

# Antique Olive
AOR: $(AUTOFONT)/9nb00055.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00055.tfm $(TEXTMAP) $@

# Antique Olive Italic
AOI: $(AUTOFONT)/9nb00054.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00054.tfm $(TEXTMAP) $@

# Antique Olive Bold
AOB: $(AUTOFONT)/9nb00053.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00053.tfm $(TEXTMAP) $@

# Marigold
MARIGOLD: $(AUTOFONT)/9nb00072.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00072.tfm $(TEXTMAP) $@

# Coronet
CORONET: $(AUTOFONT)/9nb00077.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/9nb00077.tfm $(TEXTMAP) $@

# Clarendon Condensed
CLARENDON: $(AUTOFONT)/9nb00060.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00060.tfm $(TEXTMAP) $@

S: $(AUTOFONT)/9nb00086.tfm $(SPECIALMAP) $(srcdir)/special.awk
	$(HPFTODIT) $(SFLAG) $(AUTOFONT)/9nb00086.tfm $(SPECIALMAP) - \
	| awk -f $(srcdir)/special.awk > $@

#
# TrueType
#

# Times New Roman
TNRR: $(AUTOFONT)/tmnr000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/tmnr000s.tfm $(TEXTMAP) $@

# Times New Roman Italic
TNRI: $(AUTOFONT)/tmni000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/tmni000s.tfm $(TEXTMAP) $@

# Times New Roman Bold
TNRB: $(AUTOFONT)/tmnb000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/tmnb000s.tfm $(TEXTMAP) $@

# Times New Roman Bold Italic
TNRBI: $(AUTOFONT)/tmnj000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/tmnj000s.tfm $(TEXTMAP) $@

# Arial
AR: $(AUTOFONT)/arlr000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/arlr000s.tfm $(TEXTMAP) $@

# Arial Italic
AI: $(AUTOFONT)/arli000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/arli000s.tfm $(TEXTMAP) $@

# Arial Bold
AB: $(AUTOFONT)/arlb000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(AUTOFONT)/arlb000s.tfm $(TEXTMAP) $@

# Arial Bold Italic
ABI: $(AUTOFONT)/arlj000s.tfm $(TEXTMAP)
	$(HPFTODIT) $(IFLAG) $(AUTOFONT)/arlj000s.tfm $(TEXTMAP) $@

# Symbol
SYMBOL: $(AUTOFONT)/9nb28703.tfm $(SYMBOLMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb28703.tfm $(SYMBOLMAP) $@

# Wingdings
WINGDINGS: $(AUTOFONT)/9nb00095.tfm $(WINGDINGSMAP)
	$(HPFTODIT) $(AUTOFONT)/9nb00095.tfm $(WINGDINGSMAP) $@

clean:

realclean:
	$(RM) $(FONTS)

extraclean: realclean
	$(RM) core *~ "#*"

.PHONY: clean realclean extraclean all

=== debian/changelog ===
groff (1.22.4-6) unstable; urgency=medium

  [ Colin Watson ]
  * Document Debian-specific man/mdoc SGR defaults in grotty(1) (closes:
    #963490).

  [ Helmut Grohne ]
  * Annotate Build-Depends: poppler-utils <!nocheck> (closes: #981160).

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2021 09:42:45 +0000

groff (1.22.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Vagrant Cascadian ]
  * Ensure reproducible builds regardless of usrmerge (closes: #949324).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 May 2020 09:24:11 +0100

groff (1.22.4-4) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Cherry-pick from upstream:
    - Correctly handle groff_mdoc(7) .Lk arguments starting with a dot
      (closes: #946868).
    - Update NetBSD, OpenBSD, FreeBSD, Darwin, and DragonFly version strings
      (closes: #867123).

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure), Repository.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Rely on pre-initialized dpkg-architecture variables.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2019 22:38:19 +0000

groff (1.22.4-3) unstable; urgency=medium

  * Avoid Perl's unsafe "<>" operator (closes: #920269).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Feb 2019 19:44:28 +0000

groff (1.22.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Update build-native paths to new layout (closes: #917779).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jan 2019 19:13:49 +0000

groff (1.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Dec 2018 23:35:24 +0000

groff (1.22.4~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop papersize-pre-html.patch: the "printing" operation here is only for
    the purpose of extracting images, so all that matters is that the paper
    size be consistent across the various tools that are invoked.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Dec 2018 12:55:46 +0000

groff (1.22.4~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * Build-depend on gsfonts, so that devpdf's U-* fonts are generated.
  * Build-depend on poppler-utils, so that the new tests of mom examples
    work.

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Dec 2018 01:27:42 +0000

groff (1.22.4~rc3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Adjust Vcs-* headers to reflect experimental branch.
  * Add GitLab CI configuration.
  * Adjust git-dpm tagging configuration.
  * Add alpha.gnu.org to debian/watch, for pre-releases.
  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Nov 2018 11:09:18 +0000

groff (1.22.4~rc2-3) experimental; urgency=medium

  * Restore text versions of meintro.ps, meref.ps, and pic.ps, broken in
    1.22.3.rc1-1.
  * Remove debian/groff.info; upstream's build system installs these files
    by itself now.
  * Use #! /usr/bin/perl for all installed Perl scripts, per policy 10.4.
  * Remove dh_builddeb override to force gzip compression for groff-base;
    most of the rest of the debootstrap-installed set needs xz nowadays so
    that ship has sailed.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Nov 2018 13:20:36 +0000

groff (1.22.4~rc2-2) experimental; urgency=medium

  * Move pdfpic.tmac to groff-base, since troffrc reads it.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:30:52 +0100

groff (1.22.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Mar 2018 10:48:04 +0100

groff (1.22.3.rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch debian/watch to HTTPS.
  * Add signing key of new upstream maintainer (Bertrand Garrigues) to
    debian/upstream/signing-key.asc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Mar 2018 23:11:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: bison (>= 1:1.875b), debhelper (>= 9), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
+Build-Depends: bison (>= 1:1.875b), debhelper-compat (= 12), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), pkg-config, libuchardet-dev, gsfonts, poppler-utils <!nocheck>
 Homepage: https://www.gnu.org/software/groff/
-Vcs-Git: https://salsa.debian.org/debian/groff
+Vcs-Git: https://salsa.debian.org/debian/groff.git
 Vcs-Browser: https://salsa.debian.org/debian/groff
 Rules-Requires-Root: no
 
@@ -13,13 +13,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
-Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
-Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Replaces: groff (<< 1.22.4~rc2-2), jgroff (<< 1.17-1)
+Breaks: groff (<< 1.22.4~rc2-2), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
 Multi-Arch: foreign
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
  troff, nroff, tbl, eqn, and pic. These utilities, together with the
- man-db package, are essential for displaying the on-line manual pages. 
+ man-db package, are essential for displaying the on-line manual pages.
  .
  groff-base is a stripped-down package containing the necessary components
  to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=debian/build

export DH_OPTIONS

export LC_ALL := C.UTF-8

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
export DEB_CFLAGS_MAINT_APPEND := -Wall
export DEB_CXXFLAGS_MAINT_APPEND := -Wall -std=gnu++98

# Based loosely on /usr/share/dpkg/buildflags.mk, but we need to do this
# ourselves in order to get flags for both build and host architectures.
# Compare https://bugs.debian.org/644412.

export_envvar := \
	DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" \
	DEB_CPPFLAGS_MAINT_APPEND="$(DEB_CPPFLAGS_MAINT_APPEND)" \
	DEB_CFLAGS_MAINT_APPEND="$(DEB_CFLAGS_MAINT_APPEND)" \
	DEB_CXXFLAGS_MAINT_APPEND="$(DEB_CXXFLAGS_MAINT_APPEND)"

buildflags := YACC='bison -y' PSPRINT=lpr PAGE=A4
buildflags_native := $(buildflags)
buildflags += $(shell $(export_envvar) dpkg-buildflags --export=cmdline)
buildflags_native += $(shell \
	DEB_HOST_ARCH="$(DEB_BUILD_ARCH)" $(export_envvar) \
	dpkg-buildflags --export=cmdline)
buildflags_native += DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE)
buildflags_native += env -u CONFIG_SITE

export UPSTREAM_VERSION := $(shell \
	sed 's/^\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*/\1/' \
	.tarball-version)
datadir  = usr/share/groff/$(UPSTREAM_VERSION)

gbtmp = debian/groff-base
gtmp  = debian/groff

include /usr/share/dpkg/architecture.mk

confflags = \
	--libdir=\$${prefix}/lib --with-appresdir=/etc/X11/app-defaults \
	BASH_PROG=/bin/bash GREP=/bin/grep

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -I m4

override_dh_auto_configure:
	-rm -f config.log config.cache
	$(buildflags) dh_auto_configure -- $(confflags)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(buildflags_native) dh_auto_configure \
		--builddirectory=debian/build-native -- \
		$(confflags) --with-doc=no
endif
	# Work around an unfortunate interaction between the
	# non-recursive-gnulib-prefix-hack module and out-of-tree builds.
	mkdir -p debian/build/lib
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	mkdir -p debian/build-native/lib
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  cross :=
else
  native_tmp := $(CURDIR)/debian/build-native
  cross := \
	GROFFBIN=$(native_tmp)/groff \
	GROFF_BIN_PATH=$(native_tmp)
endif

override_dh_auto_build:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	dh_auto_build --builddirectory=debian/build-native -- \
		extratmacdirs=/usr/share/groff/tmac \
		docdir=\$${prefix}/share/doc/groff-base
endif
	GROFF_NO_SGR=1 dh_auto_build --builddirectory=debian/build -- \
		extratmacdirs=/usr/share/groff/tmac \
		docdir=\$${prefix}/share/doc/groff-base $(cross)
	GROFF_NO_SGR=1 $(MAKE) -C debian/build $(cross) \
		doc/meintro.txt doc/meref.txt doc/pic.txt

override_dh_auto_install:
	dh_auto_install -- \
		docdir=\$${prefix}/share/doc/groff-base \
		INSTALL_INFO=:

override_dh_install:
	dh_install
	# Debian additions to *.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/mdoc.local
	# Scripts should be executable
	chmod +x $(gbtmp)/$(datadir)/font/devps/generate/afmname \
		 $(gbtmp)/$(datadir)/font/devps/generate/symbol.sed
	chmod +x $(gtmp)/$(datadir)/font/devdvi/generate/CompileFonts \
		 $(gtmp)/$(datadir)/font/devlj4/generate/special.awk
	# Debian Policy 10.4 specifies the #! line for Perl scripts
	grep -rlZ '#! */usr/bin/env perl' $(gbtmp) $(gtmp) | \
		xargs -0r sed -i 's,\(#! *\)/usr/bin/env perl,\1/usr/bin/perl,'

override_dh_installdocs:
	dh_installdocs -pgroff-base
	dh_installdocs -pgroff -Xcopyright --link-doc=groff-base

override_dh_installchangelogs:
	dh_installchangelogs -pgroff-base

override_dh_compress:
	dh_compress -X.mom

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
# Official releases:
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnu.org/gnu/groff/groff-([^-]*)\.tar\.gz

# Betas and pre-releases:
#version=3
#opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/\.rc/~rc/ \
#https://alpha.gnu.org/gnu/groff/groff-([^-]*)\.tar\.gz
